gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
AsyncStreamExtensions Class
AsyncStreamExtensions Methods
ForEachAsync(T) Method
ToListAsync(T) Method
WriteAllAsync Method

AsyncStreamExtensions Methods

The AsyncStreamExtensions type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| ForEachAsync T | Reads the entire stream and executes an async action for each element.
| ToListAsync T | Reads the entire stream and creates a list containing all the elements read.
| WriteAllAsync T (IServerStreamWriter T , IEnumerable T ) | Writes all elements from given enumerable to the stream.
| WriteAllAsync T (IClientStreamWriter T , IEnumerable T , Boolean) | Writes all elements from given enumerable to the stream. Completes the stream afterwards unless close = false.

Top
See Also

#### Reference

AsyncStreamExtensions Class
Grpc.Core.Utils Namespace